<?php
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.3                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2013                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

	if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

    /*
     * Доступны объекты $inCore $inUser $inPage($this) $inConf $inDB
     */

	// Получаем количество модулей на нужные позиции
    $mod_count['uppermenu'] = $this->countModules('uppermenu');
    $mod_count['topmenu'] = $this->countModules('topmenu');
	$mod_count['usermenu'] = $this->countModules('usermenu');
    $mod_count['moduletop'] = $this->countModules('moduletop');
    $mod_count['sidebar'] = $this->countModules('sidebar');
    $mod_count['bannerplace1'] = $this->countModules('bannerplace1');
    $mod_count['module1'] = $this->countModules('module1');
    $mod_count['module2'] = $this->countModules('module2');
    $mod_count['modulebottom'] = $this->countModules('modulebottom');
    $mod_count['bannerplace2'] = $this->countModules('bannerplace2');
    $mod_count['footermodule1'] = $this->countModules('footermodule1');
	$mod_count['footermodule2'] = $this->countModules('footermodule2');
	$mod_count['footermodule3'] = $this->countModules('footermodule3');

    // Подключаем стили шаблона
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/amazium.css');
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/base.css');
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/form.css');
	$this->addHeadCSS('templates/'.TEMPLATE.'/css/styles.css');
	// Подключаем colorbox (просмотр фото)
	$this->addHeadJS('includes/jquery/colorbox/jquery.colorbox.js');
	$this->addHeadCSS('includes/jquery/colorbox/colorbox.css');
	$this->addHeadJS('includes/jquery/colorbox/init_colorbox.js');
	// LANG фразы для colorbox
	$this->addHeadJsLang(array('CBOX_IMAGE','CBOX_FROM','CBOX_PREVIOUS','CBOX_NEXT','CBOX_CLOSE','CBOX_XHR_ERROR','CBOX_IMG_ERROR', 'CBOX_SLIDESHOWSTOP', 'CBOX_SLIDESHOWSTART'));

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<?php $this->printHead(); ?>
	<?php if($inUser->is_admin){ ?>
		<script src="/admin/js/modconfig.js" type="text/javascript"></script>
		<script src="/templates/<?php echo TEMPLATE; ?>/js/nyromodal.js" type="text/javascript"></script>
		<link href="/templates/<?php echo TEMPLATE; ?>/css/modconfig.css" rel="stylesheet" type="text/css" />
		<link href="/templates/<?php echo TEMPLATE; ?>/css/nyromodal.css" rel="stylesheet" type="text/css" />
	<?php } ?>
</head>

<body>
	
<?php if ($inConf->siteoff && $inUser->is_admin) { ?>
	<div style="margin:4px; padding:5px; border:solid 1px red; background:#FFF; position: fixed;opacity: 0.8; z-index:999"><?php echo $_LANG['SITE_IS_DISABLE']; ?></div>
<?php } ?>

<div class="upper"> <!-- Верхнее дополнительное меню и поиск -->
	<div class="row">
		<div class="grid_8">
			<?php if ($mod_count['uppermenu']) { ?>
				<div class="uppermenu"><?php $this->printModules('uppermenu'); ?></div>
			<?php } ?>
		</div>	
		<div class="grid_4">
			<div class="search_box">
				<form class="" action="/search" method="GET"   >
                <input type="hidden" name="view" value="search" />
                <input type="text" id="searchfild" name="query" value="Искать на сайте..." onclick="$(this).val('');" onblur="if ($(this).val()==''){ $(this).val('Искать на сайте...'); }; "><input value="поиск" id="searchbutton" type="submit" name="submit" value="&nbsp;">
                </form>
			</div>
		</div>
	</div>
</div>	
	
<div id="header"> <!-- Логотип и баннер 460*80 -->
	<div class="row">
		<div class="grid_6">
			<div id="logo"><a href="/"></a></div>
		</div>
		<div class="grid_6">
			<a href="#"><div id="banner460x80"></div></a>
		</div>
	</div>
</div>	
	
<div class="menu"> <!-- Основное меню -->
	<div class="row">
		<div class="grid_12">
			<?php if ($mod_count['topmenu']) { ?>
				<div id="topmenu"><?php $this->printModules('topmenu'); ?></div>
			<?php } ?>
		</div>
	</div>
</div>



<div class="row" id="contentblock"> <!-- Контейнер для контента -->

		<?php $messages = cmsCore::getSessionMessages(); ?>
			<?php if ($messages) { ?>
				<div class="sess_messages">
					<?php foreach($messages as $message){ ?>
						<?php echo $message; ?>
					<?php } ?>
				</div>
		<?php } ?>

	<div class="grid_12"> <!-- Позиция для меню пользователя -->
		<?php if ($mod_count['usermenu']) { ?>
			<div class="mod_user_menu"><?php $this->printModules('usermenu'); ?></div>
		<?php } ?>
	</div>
	
	<div class="grid_12"> <!-- Верхний широкий модуль -->
		<?php if ($mod_count['moduletop']) { ?>
			<div class="modulewide"><?php $this->printModules('moduletop'); ?></div>
		<?php } ?>
	</div>

	<div class="grid_4"> <!-- Сайдбар -->
		<?php if ($mod_count['sidebar']) { ?>
			<div class="sidebar"><?php $this->printModules('sidebar'); ?></div>
		<?php } ?>
	</div>
	
	<div class="<?php if ($mod_count['sidebar']) { ?>grid_8<?php } else { ?>grid_12<?php } ?>"> <!-- Вывод компонента -->
			
		<div class="abovecomponent"><?php $this->printModules('abovecomponent'); ?></div> <!-- Позиция над компонентом -->

		<?php if($this->page_body){ ?>
			<div class="component">
				<?php $this->printBody(); ?>
			</div>
		<?php } ?>
			
		<div class="undercomponent"><?php $this->printModules('undercomponent'); ?></div> <!-- Позиция под компонентом -->
		
	</div>

	<div class="grid_12"> <!-- Широкая баннерная позиция №1 -->
		<?php if ($mod_count['bannerplace1']) { ?>
			<div class="bannerplace"><?php $this->printModules('bannerplace1'); ?></div>
		<?php } ?>
	</div>

	<div class="grid_6"> <!-- Модульная позиция 1 -->
		<?php if ($mod_count['module1']) { ?>
			<div class="modulehalf"><?php $this->printModules('module1'); ?></div>
		<?php } ?>
	</div>
	
	<div class="grid_6"> <!-- Модульная позиция 2 -->
		<?php if ($mod_count['module2']) { ?>
			<div class="modulehalf"><?php $this->printModules('module2'); ?></div>
		<?php } ?>
	</div>

	<div class="grid_12"> <!-- Нижний щирокий модуль -->
		<?php if ($mod_count['modulebottom']) { ?>
			<div class="modulewide"><?php $this->printModules('modulebottom'); ?></div>
		<?php } ?>
	</div>
	
	<div class="grid_12"> <!-- Широкая баннерная позиция №2 -->
		<?php if ($mod_count['bannerplace2']) { ?>
			<div class="bannerplace"><?php $this->printModules('bannerplace2'); ?></div>
		<?php } ?>
	</div>
	
</div>

<div id="footerglobal"> <!-- Контейнер для трёх модулей в футере -->
	
	<div class="row">
	
		<div class="grid_4"> <!-- Модуль в футере 1 -->
			<?php if ($mod_count['footermodule1']) { ?>
				<div class="footermodule"><?php $this->printModules('footermodule1'); ?></div>
			<?php } ?>
		</div>
		
		<div class="grid_4"> <!-- Модуль в футере 2 -->
			<?php if ($mod_count['footermodule2']) { ?>
				<div class="footermodule"><?php $this->printModules('footermodule2'); ?></div>
			<?php } ?>
		</div>
		
		<div class="grid_4"> <!-- Модуль в футере 3 -->
			<?php if ($mod_count['footermodule3']) { ?>
				<div class="footermodule"><?php $this->printModules('footermodule3'); ?></div>
			<?php } ?>
		</div>
	
	</div>
	
</div>

<div id="footer"> <!-- Футер -->

	<div class="row"> 
	
		<div class="grid_8">
			<div id="copyright"><?php $this->printSitename(); ?> &copy; <?php echo date('Y'); ?></div>
		</div>
			
		<div class="grid_4">
			<a href="http://www.instantcms.ru/" title="<?php echo $_LANG['POWERED_BY_INSTANTCMS']; ?>" target="_blank">
				<img src="/templates/<?php echo TEMPLATE; ?>/images/b88x31.gif" border="0"/>
			</a>
		</div>
		
    </div>
	
</div>

</body>	

</html>

	<script type="text/javascript">
        $(function(){
            $('#sess_messages').hide().fadeIn();
            $('#topmenu .menu li').hover(
                function() {
                    $(this).find('ul:first').fadeIn('fast');
                    $(this).find('a:first').addClass("hover");
                },
                function() {
                    $(this).find('ul:first').hide();
                    $(this).find('a:first').removeClass("hover");
                }
            );
        });
    </script>
	
	<script type="text/javascript">
        $(function(){
            $('#sess_messages').hide().fadeIn();
            $('#menu1.menu li').hover(
                function() {
                    $(this).find('ul:first').fadeIn('fast');
                    $(this).find('a:first').addClass("hover");
                },
                function() {
                    $(this).find('ul:first').hide();
                    $(this).find('a:first').removeClass("hover");
                }
            );
        });
    </script>
